org.springframework.data.jdbc.repository

## Interface QueryMappingConfiguration

All Known Implementing Classes:
  DefaultQueryMappingConfiguration

    public interface QueryMappingConfiguration

Configures a `RowMapper` for each type to be used for extracting entities of that type from a `ResultSet`.

Since:
  1.1
Author:
  Jens Schauder, Evgeni Dimitrov

### Field Summary

Fields
`static QueryMappingConfiguration` `EMPTY` An immutable empty instance that will return null for all arguments.

### Method Summary

All Methods Instance Methods Default Methods
`default <T> RowMapper<? extends T>` `getRowMapper(Class<T> type)`

### Field Detail

#### EMPTY

    static final QueryMappingConfiguration EMPTY

An immutable empty instance that will return null for all arguments.

### Method Detail

#### getRowMapper

    @Nullable
    default <T> RowMapper<? extends T> getRowMapper(Class<T> type)